using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }

    protected void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
    {
        if (e.CommandName == "MyCustomCommand")
        { 
        }
    }

    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        List<MyData> data = new List<MyData>();
        for (int i = 0; i < 2; i++)
        {
            data.Add(new MyData { Number = 1234567890});
        }

        ((RadGrid)source).DataSource = data;
    }
}

public class MyData
{
    public int Number { get; set; }
}